# Uses of Class
java.net.http.HttpHeaders

Packages that use HttpHeaders
Package
Description
java.net.http
HTTP Client and WebSocket APIs

## Uses of HttpHeaders in java.net.http

Methods in java.net.http that return HttpHeaders
Modifier and Type
Method
Description
`abstract HttpHeaders`
HttpRequest.`headers()`
The (user-accessible) request headers that this request was (or will be) sent with.
`HttpHeaders`
HttpResponse.`headers()`
Returns the received response headers.
`HttpHeaders`
HttpResponse.ResponseInfo.`headers()`
Provides the response headers.
`static HttpHeaders`
HttpHeaders.`of​(Map<String,​List<String>> headerMap, BiPredicate<String,​String> filter)`
Returns an HTTP headers from the given map.